<template>
  <div class="register-form">
    <form @submit.prevent="onSubmit">
      <div>
        <label for="firstName">Nombre:</label>
        <input v-model="firstName" id="firstName" type="text" name="firstName" required>
      </div>
      <div>
        <label for="lastName">Apellido:</label>
        <input v-model="lastName" id="lastName" type="text" name="lastName" required>
      </div>
      <div>
        <label for="email">Correo electrónico:</label>
        <input v-model="email" id="email" type="email" name="email" required>
      </div>
      <div>
        <label for="password">Contrasenya:</label>
        <input v-model="password" id="password" type="password" name="password" required>
      </div>
      <button type="submit">Registrarse</button>
    </form>
  </div>

</template>

<script>
export default {
  name: 'RegisterForm',
  data() {
    return {
        firstName: "", 
        lastName: "", 
        email: "", 
        password: ""
    }
  },
  methods: {
    onSubmit() {
      const user = {firstName: this.firstName, lastName: this.lastName, 
        email: this.email, password: this.password};
      // Llamamos un evento personalizado para añadir el usuario a la lista
      this.$emit("onUserAdd", user);
      // Mostramos una alerta al usuario una vez enviado el formulario
      alert("Usuario registrado.");
      // Reiniciamos los valores por defecto del formulario
      this.firstName = "";
      this.lastName = "";
      this.email = "";
      this.password = "";
    }
  }
}
</script>

<style scoped>
label {
  display: block;
  margin-bottom: 0.25em;
}

input {
  margin-bottom: 1em;
}

button {
  border: none;
  background-color: #0080FF;
  color: white;
  padding: 0.75em;
}

button:hover {
  background-color: #0375e7;
  cursor: pointer;
}
</style>
